## rust-axum 0.6.20

=== debian/changelog ===
rust-axum (0.6.20-35) unstable; urgency=medium

  * tighten build rules to catch failure in loop
  * stop mention dh-cargo in long description
  * add patch 1001 to accept newer branch of crate base64;
    bump build-dependency for crate base64;
    closes: bug#1084142, thanks to Matthias Geiger

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 05 Oct 2024 21:19:16 +0200

rust-axum (0.6.20-34) unstable; urgency=medium

  * reduce autopkgtest to check single-feature tests only on amd64

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 29 Jul 2024 07:56:12 +0200

rust-axum (0.6.20-33) unstable; urgency=medium

  * extend patch 2005

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 25 Jul 2024 21:02:12 +0200

rust-axum (0.6.20-32) unstable; urgency=medium

  * provide and autopkgtest axum-extra features
    form query typed-routing;
    (build-)depend on package for crate serde_html_form;
    drop patch 2001
  * extend patch 1003, thanks again to Reinhard Tartler
  * fix autopkgtest to exclude our custom feature "in-workspace",
    reduce patch 2005 to not superfluously advertise it

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 25 Jul 2024 13:41:19 +0200

rust-axum (0.6.20-31) unstable; urgency=medium

  * fix patch 2005
  * stop add now bogus feature no-workspace for autopkgtests

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 23 Jul 2024 22:21:43 +0200

rust-axum (0.6.20-30) unstable; urgency=medium

  * improve patch 2005

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 21 Jul 2024 02:21:18 +0200

rust-axum (0.6.20-29) unstable; urgency=medium

  * really fix patch 2005

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 20 Jul 2024 17:16:42 +0200

rust-axum (0.6.20-28) unstable; urgency=medium

  * fix and improve patches 2003 2005

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 20 Jul 2024 13:56:56 +0200

rust-axum (0.6.20-27) unstable; urgency=medium

  * revive patches 2003 2005, with updated DEP-3 headers;
    add axum-extras feature no-workspace for autopkgtests

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 20 Jul 2024 12:47:48 +0200

rust-axum (0.6.20-26) unstable; urgency=medium

  * extend patch 1003 to cover axum-extra;
    enable autopkgtests for axum-extra;
    drop patches 2003 2005

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 20 Jul 2024 11:24:57 +0200

rust-axum (0.6.20-25) unstable; urgency=medium

  * add patch 2005 to skip by default tests only building in workspace

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 20 Jul 2024 10:44:09 +0200

rust-axum (0.6.20-24) unstable; urgency=medium

  * update DEP-3 headers for patch 1002
  * add patch 1003 to add feature fences for tests;
    closes: bug#1064232, thanks to Reinhard Tartler
  * update TODO note on pending bugfix

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 20 Jul 2024 08:59:39 +0200

rust-axum (0.6.20-23) unstable; urgency=medium

  * autopkgtest-depend on dh-rust (not dh-cargo)
  * rewrite (and re-enable) patch 1002
    to fix feature json;
    closes: bug#1076418, thanks to Reinhard Tartler and Jeremy Bícha

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 18 Jul 2024 16:45:31 +0200

rust-axum (0.6.20-22) unstable; urgency=medium

  * simplify packaging;
    build-depend on dh-sequence-rust
    (not dh-cargo libstring-shellquote-perl)
  * tighten substvars: use ${rust:Version:*} with full package name
    (see bug#1076434)
  * disable patch 2003
    (see bug#1076418)

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 17 Jul 2024 09:25:41 +0200

rust-axum (0.6.20-21) unstable; urgency=medium

  * extend patch 1002 to fence more tests
  * tighten package version resolving and mangling
  * add patch 1001_prost to accept newer branch of crate prost;
    bump (build-)dependencies for crate prost

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 10 Jul 2024 13:23:06 +0200

rust-axum (0.6.20-20) unstable; urgency=medium

  * fix patch 1002

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 05 Jul 2024 11:38:13 +0200

rust-axum (0.6.20-19) unstable; urgency=medium

  * add patch 1002
    to add feature fences for tests;
    closes: bug#1064232, thanks (again) to Jeremy Bícha
  * update dh-cargo fork
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 05 Jul 2024 10:59:29 +0200

rust-axum (0.6.20-18) unstable; urgency=medium

  * depend (not only build-depend) on
    and stop autopkgtest-depend on
    package for crate rustversion

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 07 Jun 2024 20:06:03 +0200

rust-axum (0.6.20-17) unstable; urgency=medium

  * add patch 2004 to avoid benches;
    closes: bug#1064232, thanks to Jeremy Bícha
  * update copyright info:
    + fix file path
    + update coverage
  * declare compliance with Debian Policy 4.7.0
  * drop done TODO about feature ws

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 07 Jun 2024 16:05:50 +0200

rust-axum (0.6.20-16) unstable; urgency=medium

  * fix autopkgtest-dependencies

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 17 Feb 2024 14:07:32 +0100

rust-axum (0.6.20-15) unstable; urgency=medium

  * drop patch 2004
    and instead skip autopkgtests for axum-extra altogether

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 17 Feb 2024 01:57:57 +0100

rust-axum (0.6.20-14) unstable; urgency=medium

  * add patch 2004 to skip test requiring source path layout

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 15 Feb 2024 06:44:36 +0100

rust-axum (0.6.20-13) unstable; urgency=medium

  * fix autopkgtest-dependencies

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 14 Feb 2024 08:51:21 +0100

rust-axum (0.6.20-12) unstable; urgency=medium

  * adjust packaging notes to reference feature typed-routing
  * add patches 2002 2003 to skip a few tests

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 14 Feb 2024 00:06:12 +0100

rust-axum (0.6.20-11) unstable; urgency=medium

  * drop patch 2001_tokio-tungstenite
    obsoleted by Debian packaging changes;
    (build-)depend on packages
    for crates base64 sha1 tokio-tungstenite;
    provide and autopkgtest axum feature ws

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 12 Feb 2024 18:52:52 +0100


