=== debian/control ===
Source: rust-axum
Section: rust
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-rust,
 librust-anyhow-1+default-dev <!nocheck>,
 librust-async-trait-0.1+default-dev <!nocheck>,
 librust-base64-0.22+default-dev <!nocheck>,
 librust-bitflags-1+default-dev <!nocheck>,
 librust-bytes-1+default-dev <!nocheck>,
 librust-cookie-0.18+default-dev <!nocheck>,
 librust-cookie-0.18+key-expansion-dev <!nocheck>,
 librust-cookie-0.18+percent-encode-dev <!nocheck>,
 librust-cookie-0.18+private-dev <!nocheck>,
 librust-cookie-0.18+signed-dev <!nocheck>,
 librust-form-urlencoded-1+default-dev <!nocheck>,
 librust-futures-util-0.3+alloc-dev <!nocheck>,
 librust-headers-0.3+default-dev <!nocheck>,
 librust-heck-0.4+default-dev <!nocheck>,
 librust-http-0.2+default-dev <!nocheck>,
 librust-http-body-0.4+default-dev <!nocheck>,
 librust-hyper-0.14+default-dev <!nocheck>,
 librust-hyper-0.14+http1-dev <!nocheck>,
 librust-hyper-0.14+http2-dev <!nocheck>,
 librust-hyper-0.14+runtime-dev <!nocheck>,
 librust-hyper-0.14+server-dev <!nocheck>,
 librust-hyper-0.14+stream-dev <!nocheck>,
 librust-hyper-0.14+tcp-dev <!nocheck>,
 librust-itoa-1+default-dev <!nocheck>,
 librust-matchit-0.7+default-dev <!nocheck>,
 librust-memchr-2+default-dev <!nocheck>,
 librust-mime-0.3+default-dev <!nocheck>,
 librust-multer-2+default-dev <!nocheck>,
 librust-percent-encoding-2+default-dev <!nocheck>,
 librust-pin-project-lite-0.2+default-dev <!nocheck>,
 librust-proc-macro2-1+default-dev <!nocheck>,
 librust-prost-0.12+default-dev <!nocheck>,
 librust-quickcheck-1+default-dev <!nocheck>,
 librust-quickcheck-macros-1+default-dev <!nocheck>,
 librust-quote-1+default-dev <!nocheck>,
 librust-reqwest-0.11+json-dev <!nocheck>,
 librust-reqwest-0.11+multipart-dev <!nocheck>,
 librust-reqwest-0.11+stream-dev <!nocheck>,
 librust-rustversion-1+default-dev <!nocheck>,
 librust-serde-1+default-dev <!nocheck>,
 librust-serde-1+derive-dev <!nocheck>,
 librust-serde-urlencoded-0.7+default-dev <!nocheck>,
 librust-serde-json-1+default-dev <!nocheck>,
 librust-serde-json-1+raw-value-dev <!nocheck>,
 librust-serde-html-form-0.2+default-dev <!nocheck>,
 librust-serde-path-to-error-0.1+default-dev <!nocheck>,
 librust-sha1-0.10+default-dev <!nocheck>,
 librust-syn-2+default-dev <!nocheck>,
 librust-syn-2+extra-traits-dev <!nocheck>,
 librust-syn-2+full-dev <!nocheck>,
 librust-syn-2+parsing-dev <!nocheck>,
 librust-sync-wrapper-0.1+default-dev <!nocheck>,
 librust-time-0.3+default-dev <!nocheck>,
 librust-time-0.3+serde-human-readable-dev <!nocheck>,
 librust-tokio-1+default-dev <!nocheck>,
 librust-tokio-1+full-dev <!nocheck>,
 librust-tokio-1+macros-dev <!nocheck>,
 librust-tokio-1+net-dev <!nocheck>,
 librust-tokio-1+rt-dev <!nocheck>,
 librust-tokio-1+rt-multi-thread-dev <!nocheck>,
 librust-tokio-1+test-util-dev <!nocheck>,
 librust-tokio-1+time-dev <!nocheck>,
 librust-tokio-stream-0.1+default-dev <!nocheck>,
 librust-tokio-stream-0.1+io-util-dev <!nocheck>,
 librust-tokio-tungstenite-0.20+default-dev <!nocheck>,
 librust-tokio-util-0.7+default-dev <!nocheck>,
 librust-tokio-util-0.7+io-dev <!nocheck>,
 librust-tower-0.4+default-dev <!nocheck>,
 librust-tower-0.4+filter-dev <!nocheck>,
 librust-tower-0.4+limit-dev <!nocheck>,
 librust-tower-0.4+load-shed-dev <!nocheck>,
 librust-tower-0.4+log-dev <!nocheck>,
 librust-tower-0.4+make-dev <!nocheck>,
 librust-tower-0.4+steer-dev <!nocheck>,
 librust-tower-0.4+timeout-dev <!nocheck>,
 librust-tower-0.4+util-dev <!nocheck>,
 librust-tower-http-0.4-dev <!nocheck>,
 librust-tower-layer-0.3+default-dev (>= 0.3.2) <!nocheck>,
 librust-tower-service-0.3+default-dev <!nocheck>,
 librust-tracing-0.1+default-dev <!nocheck>,
 librust-tracing-subscriber-0.3+default-dev <!nocheck>,
 librust-tracing-subscriber-0.3+json-dev <!nocheck>,
 librust-trybuild-1+default-dev <!nocheck>,
 librust-uuid-1+default-dev <!nocheck>,
 librust-uuid-1+serde-dev <!nocheck>,
 librust-uuid-1+v4-dev <!nocheck>,
Maintainer: Jonas Smedegaard <dr@jones.dk>
Standards-Version: 4.7.0
Vcs-Git: https://salsa.debian.org/debian/rust-axum.git
Vcs-Browser: https://salsa.debian.org/debian/rust-axum
Homepage: https://github.com/tokio-rs/axum
Rules-Requires-Root: no

Package: librust-axum-dev
Architecture: all
Multi-Arch: foreign
Depends:
 librust-async-trait-0.1+default-dev,
 librust-axum-core-dev (= ${rust:Version:librust-axum-core-dev}),
 librust-axum-macros-dev (= ${rust:Version:librust-axum-macros-dev}),
 librust-base64-0.22+default-dev,
 librust-bitflags-1+default-dev,
 librust-bytes-1+default-dev,
 librust-futures-util-0.3+alloc-dev,
 librust-headers-0.3+default-dev,
 librust-http-0.2+default-dev (>= 0.2.9),
 librust-http-body-0.4+default-dev,
 librust-hyper-0.14+default-dev,
 librust-hyper-0.14+http1-dev,
 librust-hyper-0.14+http2-dev,
 librust-hyper-0.14+runtime-dev,
 librust-hyper-0.14+server-dev,
 librust-hyper-0.14+stream-dev,
 librust-hyper-0.14+tcp-dev,
 librust-itoa-1+default-dev (>= 1.0.5),
 librust-matchit-0.7+default-dev,
 librust-memchr-2+default-dev,
 librust-mime-0.3+default-dev,
 librust-multer-2+default-dev,
 librust-percent-encoding-2+default-dev,
 librust-pin-project-lite-0.2+default-dev,
 librust-rustversion-1+default-dev,
 librust-serde-1+default-dev,
 librust-serde-urlencoded-0.7+default-dev,
 librust-serde-json-1+default-dev,
 librust-serde-json-1+raw-value-dev,
 librust-serde-path-to-error-0.1+default-dev,
 librust-sha1-0.10+default-dev,
 librust-sync-wrapper-0.1+default-dev,
 librust-tokio-1+default-dev,
 librust-tokio-1+time-dev,
 librust-tokio-tungstenite-0.20+default-dev,
 librust-tower-0.4+log-dev,
 librust-tower-0.4+make-dev,
 librust-tower-0.4+util-dev,
 librust-tower-http-0.4-dev,
 librust-tower-layer-0.3+default-dev (>= 0.3.2),
 librust-tower-service-0.3+default-dev,
 librust-tracing-0.1-dev,
 ${misc:Depends},
Provides:
 librust-axum-0.6+default-dev (= ${binary:Version}),
 librust-axum-0.6+form-dev (= ${binary:Version}),
 librust-axum-0.6+headers-dev (= ${binary:Version}),
 librust-axum-0.6+http1-dev (= ${binary:Version}),
 librust-axum-0.6+http2-dev (= ${binary:Version}),
 librust-axum-0.6+json-dev (= ${binary:Version}),
 librust-axum-0.6+macros-dev (= ${binary:Version}),
 librust-axum-0.6+matched-path-dev (= ${binary:Version}),
 librust-axum-0.6+multipart-dev (= ${binary:Version}),
 librust-axum-0.6+original-uri-dev (= ${binary:Version}),
 librust-axum-0.6+query-dev (= ${binary:Version}),
 librust-axum-0.6+tokio-dev (= ${binary:Version}),
 librust-axum-0.6+tower-log-dev (= ${binary:Version}),
 librust-axum-0.6+tracing-dev (= ${binary:Version}),
 librust-axum-0.6+ws-dev (= ${binary:Version}),
 librust-axum-0.6-dev (= ${binary:Version}),
 librust-axum-0.6.20-dev (= ${binary:Version}),
Description: ergonomic and modular web framework - Rust source code
 axum is a web application framework
 that focuses on ergonomics and modularity.
 .
  * Route requests to handlers with a macro free API.
  * Declaratively parse requests using extractors.
  * Simple and predictable error handling model.
  * Generate responses with minimal boilerplate.
  * Take full advantage of the tower and tower-http ecosystem
    of middleware, services, and utilities.
 .
 In particular the last point
 is what sets axum apart from other frameworks.
 axum doesn't have its own middleware system
 but instead uses tower::Service.
 This means axum gets timeouts, tracing, compression,
 authorization, and more, for free.
 It also enables you to share middleware
 with applications written using hyper or tonic.
 .
 This package contains the source for the Rust crate axum,
 for use with cargo.

Package: librust-axum-core-dev
Architecture: all
Multi-Arch: foreign
Depends:
 librust-async-trait-0.1+default-dev,
 librust-bytes-1+default-dev,
 librust-futures-util-0.3+alloc-dev,
 librust-http-0.2+default-dev,
 librust-http-body-0.4+default-dev,
 librust-mime-0.3+default-dev,
 librust-rustversion-1+default-dev,
 librust-tower-http-0.4-dev,
 librust-tower-layer-0.3+default-dev,
 librust-tower-service-0.3+default-dev,
 librust-tracing-0.1-dev,
 ${misc:Depends},
Provides:
 librust-axum-core-0.3+default-dev (= ${binary:Version}),
 librust-axum-core-0.3+tracing-dev (= ${binary:Version}),
 librust-axum-core-0.3-dev (= ${binary:Version}),
 librust-axum-core-0.3.4-dev (= ${binary:Version}),
Description: core types and traits for the web framework axum - Rust source code
 axum is a web application framework
 that focuses on ergonomics and modularity.
 .
  * Route requests to handlers with a macro free API.
  * Declaratively parse requests using extractors.
  * Simple and predictable error handling model.
  * Generate responses with minimal boilerplate.
  * Take full advantage of the tower and tower-http ecosystem
    of middleware, services, and utilities.
 .
 In particular the last point
 is what sets axum apart from other frameworks.
 axum doesn't have its own middleware system
 but instead uses tower::Service.
 This means axum gets timeouts, tracing, compression,
 authorization, and more, for free.
 It also enables you to share middleware
 with applications written using hyper or tonic.
 .
 This package contains the source for the Rust crate axum-core,
 for use with cargo.

Package: librust-axum-extra-dev
Architecture: all
Multi-Arch: foreign
Depends:
 librust-axum-0.6-dev (= ${rust:Version:librust-axum-dev}),
 librust-axum-core-0.3+default-dev (= ${rust:Version:librust-axum-core-dev}),
 librust-axum-macros-0.3+default-dev (= ${rust:Version:librust-axum-macros-dev}),
 librust-bytes-1+default-dev,
 librust-cookie-0.18+default-dev,
 librust-cookie-0.18+key-expansion-dev,
 librust-cookie-0.18+percent-encode-dev,
 librust-cookie-0.18+private-dev,
 librust-cookie-0.18+signed-dev,
 librust-form-urlencoded-1+default-dev,
 librust-futures-util-0.3+alloc-dev,
 librust-http-0.2+default-dev,
 librust-http-body-0.4+default-dev,
 librust-mime-0.3+default-dev,
 librust-multer-2+default-dev,
 librust-percent-encoding-2+default-dev,
 librust-pin-project-lite-0.2+default-dev,
 librust-prost-0.12+default-dev,
 librust-serde-1+default-dev,
 librust-serde-html-form-0.2+default-dev,
 librust-serde-json-1+default-dev,
 librust-tokio-1+default-dev,
 librust-tokio-stream-0.1+default-dev,
 librust-tokio-stream-0.1+io-util-dev,
 librust-tokio-util-0.7+default-dev,
 librust-tokio-util-0.7+io-dev,
 librust-tower-0.4+util-dev,
 librust-tower-layer-0.3+default-dev,
 librust-tower-service-0.3+default-dev,
 ${misc:Depends},
Provides:
 librust-axum-extra-0.7+async-read-body-dev (= ${binary:Version}),
 librust-axum-extra-0.7+cookie-dev (= ${binary:Version}),
 librust-axum-extra-0.7+cookie-key-expansion-dev (= ${binary:Version}),
 librust-axum-extra-0.7+cookie-signed-dev (= ${binary:Version}),
 librust-axum-extra-0.7+cookie-private-dev (= ${binary:Version}),
 librust-axum-extra-0.7+default-dev (= ${binary:Version}),
 librust-axum-extra-0.7+erased-json-dev (= ${binary:Version}),
 librust-axum-extra-0.7+form-dev (= ${binary:Version}),
 librust-axum-extra-0.7+json-lines-dev (= ${binary:Version}),
 librust-axum-extra-0.7+multipart-dev (= ${binary:Version}),
 librust-axum-extra-0.7+protobuf-dev (= ${binary:Version}),
 librust-axum-extra-0.7+query-dev (= ${binary:Version}),
 librust-axum-extra-0.7+typed-routing-dev (= ${binary:Version}),
 librust-axum-extra-0.7-dev (= ${binary:Version}),
 librust-axum-extra-0.7.7-dev (= ${binary:Version}),
Description: extra utilities for the web framework axum - Rust source code
 axum is a web application framework
 that focuses on ergonomics and modularity.
 .
  * Route requests to handlers with a macro free API.
  * Declaratively parse requests using extractors.
  * Simple and predictable error handling model.
  * Generate responses with minimal boilerplate.
  * Take full advantage of the tower and tower-http ecosystem
    of middleware, services, and utilities.
 .
 In particular the last point
 is what sets axum apart from other frameworks.
 axum doesn't have its own middleware system
 but instead uses tower::Service.
