=== debian/tests/control ===
# check single-feature tests only on amd64

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test axum 0.6.20
 --all-targets --all-features
Features: test-name=rust-axum-0.6:@
Depends:
 dh-rust,
 librust-anyhow-1+default-dev,
 librust-axum-0.6-dev,
 librust-axum-macros-0.3+default-dev,
 librust-quickcheck-1+default-dev,
 librust-quickcheck-macros-1+default-dev,
 librust-reqwest-0.11+json-dev,
 librust-reqwest-0.11+multipart-dev,
 librust-reqwest-0.11+stream-dev,
 librust-serde-1+default-dev,
 librust-serde-1+derive-dev,
 librust-time-0.3+default-dev,
 librust-time-0.3+serde-human-readable-dev,
 librust-tokio-1+macros-dev,
 librust-tokio-1+net-dev,
 librust-tokio-1+rt-dev,
 librust-tokio-1+rt-multi-thread-dev,
 librust-tokio-1+test-util-dev,
 librust-tokio-stream-0.1+default-dev,
 librust-tower-0.4+default-dev,
 librust-tower-0.4+filter-dev,
 librust-tower-0.4+limit-dev,
 librust-tower-0.4+load-shed-dev,
 librust-tower-0.4+steer-dev,
 librust-tower-0.4+timeout-dev,
 librust-tower-0.4+util-dev,
 librust-tracing-0.1+default-dev,
 librust-tracing-subscriber-0.3+default-dev,
 librust-tracing-subscriber-0.3+json-dev,
 librust-uuid-1+default-dev,
 librust-uuid-1+serde-dev,
 librust-uuid-1+v4-dev,
Restrictions: allow-stderr

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test axum 0.6.20
 --all-targets --no-default-features
Features: test-name=rust-axum-0.6:
Depends:
 dh-rust,
 librust-anyhow-1+default-dev,
 librust-axum-0.6-dev,
 librust-axum-macros-0.3+default-dev,
 librust-quickcheck-1+default-dev,
 librust-quickcheck-macros-1+default-dev,
 librust-reqwest-0.11+json-dev,
 librust-reqwest-0.11+multipart-dev,
 librust-reqwest-0.11+stream-dev,
 librust-serde-1+default-dev,
 librust-serde-1+derive-dev,
 librust-time-0.3+default-dev,
 librust-time-0.3+serde-human-readable-dev,
 librust-tokio-1+macros-dev,
 librust-tokio-1+net-dev,
 librust-tokio-1+rt-dev,
 librust-tokio-1+rt-multi-thread-dev,
 librust-tokio-1+test-util-dev,
 librust-tokio-stream-0.1+default-dev,
 librust-tower-0.4+default-dev,
 librust-tower-0.4+filter-dev,
 librust-tower-0.4+limit-dev,
 librust-tower-0.4+load-shed-dev,
 librust-tower-0.4+steer-dev,
 librust-tower-0.4+timeout-dev,
 librust-tower-0.4+util-dev,
 librust-tracing-0.1+default-dev,
 librust-tracing-subscriber-0.3+default-dev,
 librust-tracing-subscriber-0.3+json-dev,
 librust-uuid-1+default-dev,
 librust-uuid-1+serde-dev,
 librust-uuid-1+v4-dev,
Restrictions: allow-stderr

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test axum 0.6.20
 --all-targets
Features: test-name=rust-axum-0.6:default
Depends:
 dh-rust,
 librust-anyhow-1+default-dev,
 librust-axum-0.6+default-dev,
 librust-axum-macros-0.3+default-dev,
 librust-quickcheck-1+default-dev,
 librust-quickcheck-macros-1+default-dev,
 librust-reqwest-0.11+json-dev,
 librust-reqwest-0.11+multipart-dev,
 librust-reqwest-0.11+stream-dev,
 librust-serde-1+default-dev,
 librust-serde-1+derive-dev,
 librust-time-0.3+default-dev,
 librust-time-0.3+serde-human-readable-dev,
