## rust-axum 0.7.9

=== debian/changelog ===
rust-axum (0.7.9-14) unstable; urgency=medium

  * update git-buildpackage config: use branch debian/unstable
  * stop (build-)depend on package for crate heck,
    obsoleted by upstream changes;
    closes: bug#1117190, thanks to Matthias Geiger
  * update watch file: use file format version 5
  * stop tolerate test failures when targeted experimental

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 04 Oct 2025 23:46:36 +0200

rust-axum (0.7.9-13) unstable; urgency=medium

  [ Reinhard Tartler ]
  * break older rust-tonic

  [ Jonas Smedegaard ]
  * tighten DEP-3 patch headers
  * provide axum-extra feature default

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 21 Mar 2025 15:56:21 +0100

rust-axum (0.7.9-12) unstable; urgency=medium

  * drop patch 2001_multer;
    (build-)depend on package for crate multer;
    provide axume-extra feature multipart
  * drop outdated and duplicate autopkgtests
  * reduce patch 1001 to not fence with bogus axum feature "make"

 -- Blair Noctis <ncts@debian.org>  Mon, 17 Mar 2025 08:56:57 +0000

rust-axum (0.7.9-11) unstable; urgency=medium

  * fix patch 1001 more, closes: #1100349
  * add patch 1002, disabling examples to allow per-feaure testing

 -- Blair Noctis <ncts@debian.org>  Sun, 16 Mar 2025 19:46:20 +0000

rust-axum (0.7.9-10) unstable; urgency=medium

  * stop autopkgtest axum-extra,
    seemingly impossibly needing fenced axum::serve
    unavailable as exum-extra feature;
    strip bogus axum-extra parts of patch 1001

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 11 Mar 2025 17:35:09 +0100

rust-axum (0.7.9-9) unstable; urgency=medium

  * fix patch 1001

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 10 Mar 2025 19:30:15 +0100

rust-axum (0.7.9-8) unstable; urgency=medium

  * avoid conditional build in doc comment in patch 1001

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 10 Mar 2025 18:16:32 +0100

rust-axum (0.7.9-7) unstable; urgency=medium

  * extend patch 1001

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 10 Mar 2025 14:28:39 +0100

rust-axum (0.7.9-6) unstable; urgency=medium

  * add patch 1001 to add feature fences for tests

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 09 Mar 2025 15:31:53 +0100

rust-axum (0.7.9-5) unstable; urgency=medium

  * fix autopkgtest-dependency for crate axum-macros;
    thanks to Blair Noctis

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 08 Mar 2025 10:53:40 +0100

rust-axum (0.7.9-4) unstable; urgency=medium

  * fix autopkgtests:
    + omit testing axum-extra feature default
    + drop patched out dependencies
    thanks to Blair Noctis
  * declare compliance with Debian Policy 4.7.2

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 02 Mar 2025 15:28:33 +0100

rust-axum (0.7.9-3) unstable; urgency=medium

  * really fix patch 2006

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 23 Feb 2025 18:55:57 +0100

rust-axum (0.7.9-2) unstable; urgency=medium

  * fix patch 2006

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 23 Feb 2025 16:07:25 +0100

rust-axum (0.7.9-1) unstable; urgency=medium

  [ upstream ]
  * new release(s);
    closes: bug#1084138


  [ Jonas Smedegaard ]
  * add metadata about upstream project
  * update git-buildpackage config:
    + filter out debian subdir
    + simplify usage comments
  * update watch file:
    + mangle upstream version
    + improve filename mangling
    + use Github API
    + limit tracking to branch v0.7
  * update copyright info: update coverage
  * update and unfuzz patches
  * Bump and tighten (build-)dependencies
    for crates http http-body hyper reqwest sync-wrapper
    tower tower-http;
    tighten dependencies for crate pin-project-lite tokio;
    (build-)depend on packages
    for crates fastrand http-body-util hyper-util serde_path_to_error;
    stop (build-)depend on packages for crate bitflags;
    bump project versions in virtual packages and autopkgtests
  * provide and autopkgtest features
    attachment json-deserializer tracing typed-header;
    stop provide feature erased-json,
    due to not-in-Debian crate typed-json
  * declare compliance with Debian Policy 4.7.1
  * add patch 2006 to break cyclic dependency;
    closes: bug#1093933,
    thanks to Santiago Vila, NoisyCoil and Hilko Bengen
    (see also bug#1094199)
  * add patches 2002_* to avoid crates multer and typed-json;
    stop provide axum feature multipart,
    and axum-extra features default and multipart

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 22 Feb 2025 13:49:51 +0100

rust-axum (0.6.20-36) unstable; urgency=medium

  * update watch file: handle prereleases
  * add patch 1001_tokio-tungstenite
    to accept newer branches of crate tokio-tungstenite;
    relax (build-)dependencies for crate tokio-tungstenite;
    closes: bug#1076943, thanks to Matthias Geiger
  * declare build-dependencies unconditionally,
    i.e. drop broken nocheck annotations

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 04 Dec 2024 01:21:56 +0100
